Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.xl.util
Class IntHashMap<V>

    java.lang.Object
      de.grogra.xl.util.IntHashMap<V>

All Implemented Interfaces:
  java.lang.Iterable<IntHashMap.Entry<V>>

    public class IntHashMap<V>

extends java.lang.Object
implements java.lang.Iterable<IntHashMap.Entry<V>>

Nested Class Summary
`static class` | `IntHashMap.Entry<V>`

Constructor Summary
`IntHashMap()`
`IntHashMap(int capacity)`
`IntHashMap(int capacity, float loadFactor)`

Method Summary
`void` | `add(int key, V value)`
`void` | `clear()`
`boolean` | `containsKey(int key)`
`V` | `get(int key)`
`java.lang.Object` | `get(int key, java.lang.Object defaultValue)`
`IntHashMap.Entry` | `getEntry(int key)`
`boolean` | `isEmpty()`
`java.util.Iterator<IntHashMap.Entry<V>>` | `iterator()`
`V` | `put(int key, V value)`
`V` | `remove(int key)`
`void` | `remove(IntHashMap.Entry<V> entry)`
`V` | `remove(int key, V value)`
`void` | `removeAll(int key)`
`int` | `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntHashMap

    public IntHashMap()

### IntHashMap

    public IntHashMap(int capacity)

### IntHashMap

    public IntHashMap(int capacity,
                      float loadFactor)

Method Detail

### add

    public void add(int key,
                    V value)

### clear

    public void clear()

### containsKey

    public boolean containsKey(int key)

### get

    public V get(int key)

### get

    public java.lang.Object get(int key,
                                java.lang.Object defaultValue)

### getEntry

    public IntHashMap.Entry getEntry(int key)

### isEmpty

    public boolean isEmpty()

### iterator

    public java.util.Iterator<IntHashMap.Entry<V>> iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable<IntHashMap.Entry<V>>`

### put

    public V put(int key,
                 V value)

### remove

    public V remove(int key)

### remove

    public void remove(IntHashMap.Entry<V> entry)

### remove

    public V remove(int key,
                    V value)

### removeAll

    public void removeAll(int key)

### size

    public int size()

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD